Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

eventType
integer<int64>
required

ID of event type

Body

application/json

Booking form field to create

identifier
string
required

Unique identifier for the form field within the event type

Maximum string length: 255
label
string
required

Display label for the form field

Maximum string length: 255
type
enum<string>
required

The type of form field

Available options:
text,
textarea,
select,
checkbox,
radio,
phone,
email,
multiple_emails
is_required
boolean
required

Whether the form field is required

is_active
boolean
required

Whether the form field is active

position
integer
required

Display order of the form field

Required range: x >= 0
placeholder
string

Placeholder text for the form field

Maximum string length: 255
options
string[]

Selectable options for select, checkbox, or radio fields

Response

201 - application/json

Booking form field created

success
boolean
required

Indicates whether the request was successful

Example:

true

data
object
required